宝塔面板管理数据库出现 405 Not Allowed 错误解决办法

技术文档评论46阅读模式

通过宝塔面板点击数据库管理(phpmyadmin)提示“405 Not Allowed”。飞牛在之前的也遇到过,主要问题来自于和PHP的冲突。

405 Not Allowed

状态码 405 Not Allowed 表明服务器禁止了使用当前 HTTP 方法的请求。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

问题原因

1、服务器上安装了2个或以上的php版本。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

2、PHP和phpmyadmin版本不对应匹配相符。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

phpMyAdmin与PHP版本匹配说明

PHP 5.2版本,可安装phpMyAdmin 4.0;文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

PHP 5.3到7.0版本,可安装phpMyAdmin 4.4;文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

PHP 5.5到7.3版本,可安装phpMyAdmin 4.9;文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

PHP 7.4到8.0版本,可安装phpMyAdmin 5.0。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

405 not allowed 解决办法

问题1:服务器上安装了2个或以上的php版本文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

解决方法:可以在宝塔面板-网站-设置-PHP版本,切换。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

宝塔面板管理数据库出现 405 Not Allowed 错误解决办法文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

问题2:PHP和phpmyadmin版本不对应匹配相符文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

解决方法:在软件管理 – 搜索phpmyadmin – 卸载 – 重新安装一个新版本。文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

宝塔面板管理数据库出现 405 Not Allowed 错误解决办法文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html 文章源自飞牛士 FeiNews-https://www.feinews.com/experience/26099.html

匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

确定